import { getClient, getInitializedPromise } from './requestContext';
export async function getAllFeatures() {
    await getInitializedPromise();
    const client = getClient();
    if (!client) {
        console.error('React cache API is not working as expected. Please contact DevCycle support.');
        return {};
    }
    return client.allFeatures();
}
//# sourceMappingURL=allFeatures.js.map