import { getClient, getInitializedPromise } from './requestContext';
export async function getAllVariables() {
    await getInitializedPromise();
    const client = getClient();
    if (!client) {
        console.error('React cache API is not working as expected. Please contact DevCycle support.');
        return {};
    }
    return client.allVariables();
}
//# sourceMappingURL=getAllVariables.js.map