import { DevCycleClient, DevCycleUser } from '@devcycle/js-client-sdk';
import { initialize } from './initialize';
import { DevCycleNextOptions } from '../common/types';
export declare const requestContext: <T>(defaultValue: T) => [() => T, (v: T) => void];
export declare const getIdentity: () => DevCycleUser | undefined, setIdentity: (v: DevCycleUser | undefined) => void;
export declare const getClient: () => DevCycleClient<import("@devcycle/js-client-sdk").VariableDefinitions> | undefined, setClient: (v: DevCycleClient<import("@devcycle/js-client-sdk").VariableDefinitions> | undefined) => void;
export declare const getSDKKey: () => string;
export declare const setSDKKey: (key: string) => void;
export declare const getInitializedPromise: () => Promise<{
    config: (import("../../../../dist/lib/shared/types/src").BucketedUserConfig & {
        lastModified?: string | undefined;
    }) | null;
    sdkKey: string;
    options: DevCycleNextOptions;
    user: DevCycleUser;
}> | undefined;
export declare const setInitializedPromise: (promise: ReturnType<typeof initialize>) => void;
export declare const getOptions: () => DevCycleNextOptions, setOptions: (v: DevCycleNextOptions) => void;
export declare const cacheStorageError: () => Error;
