import { BucketedUserConfig } from '@devcycle/types';
/**
 * Retrieve the config from CDN for the current request's SDK Key. This data will often be cached
 * Compute the bucketed config for the current request's user using that data, with local bucketing library
 * Cache the bucketed config for this request so that repeated calls to this function are memoized
 */
export declare const getBucketedConfig: () => Promise<BucketedUserConfig & {
    lastModified?: string;
}>;
