import { cacheStorageError, getOptions } from './requestContext';
import { headers } from 'next/headers';
export const getUserAgent = () => {
    var _a;
    const options = getOptions();
    if (!options) {
        throw cacheStorageError();
    }
    if (options.staticMode) {
        return;
    }
    const reqHeaders = headers();
    return (_a = reqHeaders.get('user-agent')) !== null && _a !== void 0 ? _a : undefined;
};
//# sourceMappingURL=userAgent.js.map